Subject: KASAN debug kernel fails to boot at early stage when CONFIG_SMP=y is set (kernel 6.5-rc5, PowerMac G4 3,6)

From: Erhard Furtner <[email-masked]>
Date: Fri, 11 Aug 2023 01:48:45 +0200

I wanted to fire up my PowerMac G4 MDD (Dual CPU) with a KASAN debug build of kernel 6.5-rc5 for testing purposes. But the kernel fails to boot at a very early stage. I only get a white screen reading
"done
found display: /pci@f0000000/ATY,AlteracParent@10/ATY,Alterac_B@1, opening..."

When I use the same kernel .config but disable SMP the machine just boots up fine with the KASAN enabled kernel.

Perhaps a similar issue to https://bugzilla.kernel.org/show_bug.cgi?id=216190 ?

Kernel .config and full dmesg attached.

Regards,
Erhard F.